Page MenuHomePhabricator

Switch CodeReview to use LiquidThreads
Closed, DeclinedPublic

Description

As above..


Version: unspecified
Severity: enhancement

Details

Reference
bz26045

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:15 PM
bzimport set Reference to bz26045.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Nov 21 2010, 11:36 PM

I imagine bug 22094 and bug 24382 can be related too....

Tracking bug that will be fixed...

Having CodeReview support multiple commenting backends (i.e. [[mw:Extension:Comments]], LiquidThreads, etc.) would be nice. However, that's not a high priority since the current system works well enough.

Additionally, this bug will never (or at least in the forseeable future) be fixed as-is, because the current version of LiquidThreads is "no longer actively maintained" (as per https://www.mediawiki.org/w/index.php?title=Extension:LiquidThreads&oldid=794592) and it has plenty of open bugs, and the planned new version, 3.0, is "on hold" or "canceled" (as per https://www.mediawiki.org/w/index.php?title=LiquidThreads_3.0&oldid=647230). Therefore it doesn't seem beneficial to switch a working, albeit simplistic, backend to something that has many known issues and no-one to actively (try to) resolve said issues.

In addition to a lack of support for LiquidThreads, the CodeReview MediaWiki extension has been abandoned in favor of using Gerrit for Wikimedia wikis, adding to the reasons that this bug will never be fixed.

(tangentially...)

It may be difficult to believe, but Gerrit's discussion system is actually worse than LiquidThreads' (and Bugzilla's). That said, Gerrit's discussion system has shown some improvement over the past year; for example, it no longer collapses comments so aggressively. It's still fairly hostile to collaboration, however.

Phabricator_maintenance renamed this task from Switch CodeReview to use LiquidThreads (tracking) to Switch CodeReview to use LiquidThreads.Aug 13 2016, 9:22 PM
Phabricator_maintenance removed a project: Goal.